Summary:	Job spooling tools
Name:		at
Version:	3.1.13
Release:	%mkrel 6
License:	GPL
Group:		System/Servers
Source0:	http://ftp.debian.org/debian/pool/main/a/at/at_%{version}.orig.tar.gz
Url:		http://packages.debian.org/sid/at
Source2:	pam.atd
Source3:	atd.sysconfig
Source5:    atd.systemd
Patch3:		at-3.1.7-sigchld.patch
Patch4:		at-3.1.13-noroot.patch
Patch9:		at-3.1.8-shell.patch
Patch10:	at-3.1.12-parallel-build.patch
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Conflicts:	crontabs <= 1.5
Requires:	common-licenses
BuildRequires:	flex python sendmail-command
BuildRequires:	bison cronie
BuildRequires:  pam-devel
BuildRequires:  systemd-units

%description
At and batch read commands from standard input or from a specified file.
At allows you to specify that a command will be run at a particular time
(now or a specified time in the future).  Batch will execute commands
when the system load levels drop to a particular level.  Both commands
use /bin/sh to run the commands.

You should install the at package if you need a utility that will do
time-oriented job control.  Note: you should use crontab instead, if it is
a recurring job that will need to be repeated at the same time every
day/week/etc.

%prep
%setup -q
%patch3 -p1 -b .sigchld
%patch4 -p0 -b .noroot
%patch9 -p0 -b .shell
%patch10 -p0 -b .parallel

%build
autoreconf -fi
%serverbuild
%configure2_5x --with-atspool=/var/spool/at/spool --with-jobdir=/var/spool/at

make

%install
rm -rf %{buildroot} 
mkdir -p %{buildroot}/{%{_initrddir},%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}}

make install IROOT=%{buildroot} DAEMON_USERNAME=`id -nu` \
	DAEMON_GROUPNAME=`id -ng` \
    atdocdir=%_docdir/at

echo > %{buildroot}%{_sysconfdir}/at.deny

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %SOURCE2 %{buildroot}%{_sysconfdir}/pam.d/atd

install -D -m 644 %SOURCE3 %{buildroot}%{_sysconfdir}/sysconfig/atd


# install systemd initscript
mkdir -p %buildroot%{_unitdir}
install -m 644 %{SOURCE5} %buildroot%{_unitdir}/atd.service

%post
touch /var/spool/at/.SEQ
chmod 660 /var/spool/at/.SEQ
chown daemon.daemon /var/spool/at/.SEQ

%_post_service atd

%preun
%_preun_service atd

%files
%doc ChangeLog Problems README Copyright timespec
%attr(0640,root,daemon) %config(noreplace) %{_sysconfdir}/at.deny
%config(noreplace) %{_sysconfdir}/sysconfig/atd
%{_sysconfdir}/pam.d/atd
%{_unitdir}/atd.service
%attr(0770,daemon,daemon) %dir /var/spool/at
%attr(0660,daemon,daemon) %verify(not md5 size mtime) %ghost /var/spool/at/.SEQ
%attr(0770,daemon,daemon) %dir /var/spool/at/spool
%{_sbindir}/atrun
%{_sbindir}/atd
%attr(6755,daemon,daemon) %{_bindir}/batch
%attr(6755,daemon,daemon) %{_bindir}/atrm
%attr(6755,daemon,daemon) %{_bindir}/at
%{_bindir}/atq
%{_mandir}/*/atrun.8*
%{_mandir}/*/atd.8*
%{_mandir}/*/at.1*
%{_mandir}/*/atq.1*
%{_mandir}/*/atrm.1*
%{_mandir}/*/batch.1*
%{_mandir}/*/at.allow.5*
%{_mandir}/*/at.deny.5*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.1.13-6.mga3
+ Revision: 346503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 08 2012 guillomovitch <guillomovitch> 3.1.13-5.mga3
+ Revision: 279930
- drop sysinit support
- drop implicit build dependencies
- drop useless install-time dependencies

* Sat Apr 28 2012 tmb <tmb> 3.1.13-4.mga2
+ Revision: 233588
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 3.1.13-3.mga2
+ Revision: 233497
- rebuild for versioned rpm-helper requires

* Sun Jan 15 2012 dmorgan <dmorgan> 3.1.13-2.mga2
+ Revision: 196192
- Add systemd support ( from fedora )

* Mon Sep 05 2011 tv <tv> 3.1.13-1.mga2
+ Revision: 138917
- add missing LSB keywords

  + ze <ze>
    - version 3.1.13
    - update patch4
    - avoid use both macros and variables,preferably use native macros

* Thu Apr 14 2011 ahmad <ahmad> 3.1.12-5.mga1
+ Revision: 85401
- replace BR vixie-cron with cronie

* Tue Feb 01 2011 pterjan <pterjan> 3.1.12-4.mga1
+ Revision: 45691
- Drop useless file dependency on /etc/init.d (it belongs to chkconfig which is also required)

* Tue Feb 01 2011 pterjan <pterjan> 3.1.12-3.mga1
+ Revision: 45511
- Have a better url
- imported package at

